%global		__requires_exclude pear\\(PHPUnit/Framework.php\\)
%define		_class		Math
%define		_subclass	Stats
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.9.1
Release:	%mkrel 12
Summary:	Classes to calculate statistical parameters
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/Math_Stats/
Source0: 	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch

%description
Package to calculate statistical parameters of numerical arrays
of data. The data can be in a simple numerical array, or in a 
cumulative numerical array. A cumulative array has the value
as the index and the number of repeats as the value for the
array item, e.g. $data = array(3=>4, 2.3=>5, 1.25=>6, 0.5=>3).
Nulls can be rejected, ignored or handled as zero values.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}%{peardir}/tests
mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Math_Stats.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Math_Stats.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Math_Stats
fi

%files
%doc docs/Math_Stats/*
%{peardir}/*
%{xmldir}/Math_Stats.xml


%changelog
* Tue Aug 16 2022 mokraemer <mokraemer> 0.9.1-12.mga9
+ Revision: 1878243
- remove old testcases/requirement to old phpunit

* Fri Jun 24 2022 papoteur <papoteur> 0.9.1-11.mga9
+ Revision: 1865716
- Mass Rebuild for dependencies

* Tue Mar 22 2022 umeabot <umeabot> 0.9.1-10.mga9
+ Revision: 1817885
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.9.1-9.mga8
+ Revision: 1499083
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.9.1-8.mga7
+ Revision: 1273503
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.9.1-7.mga6
+ Revision: 935040
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-6.mga5
+ Revision: 749301
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.9.1-5.mga5
+ Revision: 734088
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-4.mga5
+ Revision: 687350
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.9.1-3.mga4
+ Revision: 528136
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.9.1-2.mga4
+ Revision: 443512
- added %%define _requires_exceptions pear(PHPUnit/Framework.php)

* Sat Jun 15 2013 spuhler <spuhler> 0.9.1-1.mga4
+ Revision: 443494
- upgrade to version 0.9.1
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-14.mga3
+ Revision: 376911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.9.0-13.mga1
+ Revision: 43515
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Math_Stats

